SCHED_ULE(4)

NAME
sched_ule - ULE scheduler

SYNOPSIS
options SCHED_ULE

DESCRIPTION
The sched_ule scheduler provides a number of advanced scheduler features not present in sched_4bsd(4), the traditional system scheduler. These features address SMP and interactivity and include:

•   Thread CPU affinity.
•   CPU topology awareness, including for hyper-threading.
•   Per-CPU run queues.
•   Interactivity heuristics that detect interactive applications and schedules them preferentially under high load.

The following sysctls are relevant to the operation of sched_ule:

kern.sched.name
    This read-only sysctl reports the name of the active scheduler.

SEE ALSO
sched_4bsd(4), sysctl(8)

HISTORY
The sched_ule scheduler first appeared in FreeBSD 5.1.

AUTHORS
Jeff Roberson <jeff@FreeBSD.org>